/*
Proceed signals of two encoders
 by Mad
*/

#include <avr/interrupt.h>

#include "encoders.h"


long int	enc1cnt = 0;
long int	enc2cnt = 0;


// ---------------------------------------------------------------------------------
// ---------------------------------------------------------------------------------


long int	EncoderCounter(int8_t n)
{
	if(n == 1)
		return enc1cnt;
	if(n == 2)
		return enc2cnt;
	return -1;
}
// ---------------------------------------------------------------------------------

void encoders_init(void)
{
	DDRA &= 0xFE;
	DDRF &= 0x7F;
	DDRE &= 0x3F;

	PORTA |= 0x01;
	PORTF |= 0x80;
	PORTE |= 0xC0;

	EICRB |= 0x50;	// INT6, INT7 any changes
	EIMSK |= 0xC0;	// Mask for interrupts INT6, INT7
}
// ---------------------------------------------------------------------------------

void EncoderClear(int8_t n)
{
	switch(n) {
		case 1: enc1cnt = 0; break;
		case 2: enc2cnt = 0;
	}
}

ISR(INT6_vect)
{
	if(PINE & 0x40) {
		if(PINA & 0x01)
			enc1cnt--;
		else
			enc1cnt++;
	}
	else {
		if(PINA & 0x01)
			enc1cnt++;
		else
			enc1cnt--;
	}
}
// ---------------------------------------------------------------------------------

ISR(INT7_vect)
{
	if(PINE & 0x80) {
		if(PINF & 0x80)
			enc2cnt--;
		else
			enc2cnt++;
	}
	else {
		if(PINF & 0x80)
			enc2cnt++;
		else
			enc2cnt--;
	}
}
// ---------------------------------------------------------------------------------
